warning: AC_LIB_PREPARE_PREFIX is m4_require’d but not m4_defun’d

凉白开 Linux1 12,918字数 3934阅读13分6秒阅读模式

错误

安装sni-proxy过程中执行autoconf.sh出现如下错误:

[root@gu1234 sniproxy-master]# ./autogen.sh
configure.ac:18: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
m4/lib-link.m4:57: AC_LIB_HAVE_LINKFLAGS is expanded from...
/usr/share/aclocal/pkg.m4:102: PKG_CHECK_MODULES is expanded from...
configure.ac:18: the top level
configure.ac:18: warning: AC_LIB_PROG_LD is m4_require'd but not m4_defun'd
m4/lib-link.m4:125: AC_LIB_RPATH is expanded from...
configure.ac:18: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
m4/lib-link.m4:181: AC_LIB_LINKFLAGS_BODY is expanded from...
configure.ac:29: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:29: the top level
configure.ac:29: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:46: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
../../lib/m4sugar/m4sh.m4:505: AS_IF is expanded from...
configure.ac:46: the top level
configure.ac:46: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:53: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:53: the top level
configure.ac:53: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:18: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
m4/lib-link.m4:57: AC_LIB_HAVE_LINKFLAGS is expanded from...
aclocal.m4:123: PKG_CHECK_MODULES is expanded from...
configure.ac:18: the top level
configure.ac:18: warning: AC_LIB_PROG_LD is m4_require'd but not m4_defun'd
m4/lib-link.m4:125: AC_LIB_RPATH is expanded from...
configure.ac:18: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
m4/lib-link.m4:181: AC_LIB_LINKFLAGS_BODY is expanded from...
configure.ac:29: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:29: the top level
configure.ac:29: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:46: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
../../lib/m4sugar/m4sh.m4:505: AS_IF is expanded from...
configure.ac:46: the top level
configure.ac:46: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:53: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:53: the top level
configure.ac:53: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:18: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
m4/lib-link.m4:57: AC_LIB_HAVE_LINKFLAGS is expanded from...
aclocal.m4:123: PKG_CHECK_MODULES is expanded from...
configure.ac:18: the top level
configure.ac:18: warning: AC_LIB_PROG_LD is m4_require'd but not m4_defun'd
m4/lib-link.m4:125: AC_LIB_RPATH is expanded from...
configure.ac:18: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
m4/lib-link.m4:181: AC_LIB_LINKFLAGS_BODY is expanded from...
configure.ac:29: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:29: the top level
configure.ac:29: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:46: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
../../lib/m4sugar/m4sh.m4:505: AS_IF is expanded from...
configure.ac:46: the top level
configure.ac:46: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure.ac:53: warning: AC_LIB_PREPARE_PREFIX is m4_require'd but not m4_defun'd
configure.ac:53: the top level
configure.ac:53: warning: AC_LIB_PREPARE_MULTILIB is m4_require'd but not m4_defun'd
configure:4008: error: possibly undefined macro: AC_LIB_PREPARE_PREFIX
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:4009: error: possibly undefined macro: AC_LIB_PROG_LD
configure:4127: error: possibly undefined macro: AC_LIB_PREPARE_MULTILIB
configure:4202: error: possibly undefined macro: AC_LIB_WITH_FINAL_PREFIX
autoreconf: /usr/bin/autoconf failed with exit status: 1

解决方法

# yum install gettext-devel
文章源自运维生存时间-https://www.ttlsa.com/linux/sniproxy-md_require-m4_defun/文章源自运维生存时间-https://www.ttlsa.com/linux/sniproxy-md_require-m4_defun/
weinxin
我的微信
微信公众号
扫一扫关注运维生存时间公众号,获取最新技术文章~
凉白开
  • 本文由 发表于 20/07/2014 01:00:34
  • 转载请务必保留本文链接:https://www.ttlsa.com/linux/sniproxy-md_require-m4_defun/
评论  1  访客  0

    来自外部的引用

评论已关闭!